Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## datechooser.model.multiple
Enum MultyModelBehavior

    java.lang.Object
      java.lang.Enum<MultyModelBehavior>
          datechooser.model.multiple.MultyModelBehavior

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MultyModelBehavior>

    public enum MultyModelBehavior

extends java.lang.Enum<MultyModelBehavior>

Model selection behavior.
Перечисление, описывающее возможности выбора для модели.

Since:
  1.0
Author:
  Androsov Vadim

Enum Constant Summary
`SELECT_ALL` Free selection mode (multy periods and dates selection).
`SELECT_PERIOD` Single period selection mode.
`SELECT_SINGLE` Single date selection mode.

Method Summary
`static MultyModelBehavior` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MultyModelBehavior[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SELECT_SINGLE

    public static final MultyModelBehavior SELECT_SINGLE

  Single date selection mode.
  Разрешен выбор только одной даты.

  Since:
    1.0

### SELECT_PERIOD

    public static final MultyModelBehavior SELECT_PERIOD

  Single period selection mode.
  Разрешен выбор только одного периода.

  Since:
    1.0

### SELECT_ALL

    public static final MultyModelBehavior SELECT_ALL

  Free selection mode (multy periods and dates selection).
  Разрешен выбор нескольких периодов (без ограничений)

  Since:
    1.0

Method Detail

### values

    public static final MultyModelBehavior[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MultyModelBehavior c : MultyModelBehavior.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MultyModelBehavior valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD